package com.ibm.rational.report.oda.reqpro.ui.impl;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author Suryakant Choudhary
 * 
 * Will load the resource bundle that will be accessed by the ODA Driver
 *
 */
public class ReqProDriverResourceBundle {
	/** 
	 * @return The resourceBundle
	 */
	private static ResourceBundle resourceBundle;
	
	private ReqProDriverResourceBundle(){
	}
	public static ReqProDriverResourceBundle getResourceBundle() {
		if (resourceBundle == null) {
			try {
				// Get the locale information
				Locale locale = Locale.getDefault();
				//locale = new Locale("fr","FR");
				resourceBundle =
					ResourceBundle.getBundle(
						"com.ibm.rational.report.oda.reqpro.ui.impl.ReqProDriverResourceBundle",locale);
			} catch (Exception exc) {
				System.out.println("Resourcebundle is null: " + exc);
			}
		}
		return new ReqProDriverResourceBundle();
	}
	
	/** Shortcut method for returning a string from the resource bundle.
	 * @return The string from the resource bundle for the specified key 
	 * or the key itself if something goes wrong.
	 */
	public static String getString(String strKey) {
		// Make sure a bundle has been loaded
		//BaselineResourceLoader bundle = getResourceBundle();
		if (resourceBundle == null) {
			return strKey;
		}
		
		String a_sRetVal = null;
		try {
			//get the resource string
			a_sRetVal = resourceBundle.getString(strKey);
			
			//Convert to UTF8, as Resource Bundle returning in iso8859_1
			a_sRetVal = new String(a_sRetVal.getBytes("ISO8859_1"),"UTF8");
		} catch (MissingResourceException exc) {
			a_sRetVal = strKey;
		}
		catch(Exception ex){
			a_sRetVal = strKey;
		}
		
		return a_sRetVal;
	}
	
}
